#include "partition.h"
#include <iostream>
#include <algorithm>
#include <vector>
#include <queue>
#include <map>

using namespace std;

int n;
vector<int> solve(vector<int> A) {
    vector <int> ans;
    n = A.size();
    ans.push_back(n - 1);
    for(int i = 0; i < n - 1; i++)
        ans.push_back(i);
    return ans;
}